﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace StoreManagement.BS_SERVICES_BsBill {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="CommonFields", Namespace="http://schemas.datacontract.org/2004/07/BS_Services.Model")]
    [System.SerializableAttribute()]
    [System.Runtime.Serialization.KnownTypeAttribute(typeof(StoreManagement.BS_SERVICES_BsBill.BillDetails))]
    [System.Runtime.Serialization.KnownTypeAttribute(typeof(StoreManagement.BS_SERVICES_BsBill.BillReceipts))]
    [System.Runtime.Serialization.KnownTypeAttribute(typeof(StoreManagement.BS_SERVICES_BsBill.Bill))]
    public partial class CommonFields : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string created_atField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int idField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int statusField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string updated_atField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string created_at {
            get {
                return this.created_atField;
            }
            set {
                if ((object.ReferenceEquals(this.created_atField, value) != true)) {
                    this.created_atField = value;
                    this.RaisePropertyChanged("created_at");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int id {
            get {
                return this.idField;
            }
            set {
                if ((this.idField.Equals(value) != true)) {
                    this.idField = value;
                    this.RaisePropertyChanged("id");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int status {
            get {
                return this.statusField;
            }
            set {
                if ((this.statusField.Equals(value) != true)) {
                    this.statusField = value;
                    this.RaisePropertyChanged("status");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string updated_at {
            get {
                return this.updated_atField;
            }
            set {
                if ((object.ReferenceEquals(this.updated_atField, value) != true)) {
                    this.updated_atField = value;
                    this.RaisePropertyChanged("updated_at");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="BillDetails", Namespace="http://schemas.datacontract.org/2004/07/BS_Services.Model")]
    [System.SerializableAttribute()]
    public partial class BillDetails : StoreManagement.BS_SERVICES_BsBill.CommonFields {
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int bill_idField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string descriptionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private float pgstField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private float pgstRateField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private float quantityField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private float rateField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string report_sending_dateField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string test_statusField;
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int bill_id {
            get {
                return this.bill_idField;
            }
            set {
                if ((this.bill_idField.Equals(value) != true)) {
                    this.bill_idField = value;
                    this.RaisePropertyChanged("bill_id");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string description {
            get {
                return this.descriptionField;
            }
            set {
                if ((object.ReferenceEquals(this.descriptionField, value) != true)) {
                    this.descriptionField = value;
                    this.RaisePropertyChanged("description");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public float pgst {
            get {
                return this.pgstField;
            }
            set {
                if ((this.pgstField.Equals(value) != true)) {
                    this.pgstField = value;
                    this.RaisePropertyChanged("pgst");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public float pgstRate {
            get {
                return this.pgstRateField;
            }
            set {
                if ((this.pgstRateField.Equals(value) != true)) {
                    this.pgstRateField = value;
                    this.RaisePropertyChanged("pgstRate");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public float quantity {
            get {
                return this.quantityField;
            }
            set {
                if ((this.quantityField.Equals(value) != true)) {
                    this.quantityField = value;
                    this.RaisePropertyChanged("quantity");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public float rate {
            get {
                return this.rateField;
            }
            set {
                if ((this.rateField.Equals(value) != true)) {
                    this.rateField = value;
                    this.RaisePropertyChanged("rate");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string report_sending_date {
            get {
                return this.report_sending_dateField;
            }
            set {
                if ((object.ReferenceEquals(this.report_sending_dateField, value) != true)) {
                    this.report_sending_dateField = value;
                    this.RaisePropertyChanged("report_sending_date");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string test_status {
            get {
                return this.test_statusField;
            }
            set {
                if ((object.ReferenceEquals(this.test_statusField, value) != true)) {
                    this.test_statusField = value;
                    this.RaisePropertyChanged("test_status");
                }
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="BillReceipts", Namespace="http://schemas.datacontract.org/2004/07/BS_Services.Model")]
    [System.SerializableAttribute()]
    public partial class BillReceipts : StoreManagement.BS_SERVICES_BsBill.CommonFields {
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private float amountField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string bankField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int bill_idField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string cashReceiveFromField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string chequeField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string detailsField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private float discountField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string paymentModeField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private float tax_deductedField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int user_idField;
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public float amount {
            get {
                return this.amountField;
            }
            set {
                if ((this.amountField.Equals(value) != true)) {
                    this.amountField = value;
                    this.RaisePropertyChanged("amount");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string bank {
            get {
                return this.bankField;
            }
            set {
                if ((object.ReferenceEquals(this.bankField, value) != true)) {
                    this.bankField = value;
                    this.RaisePropertyChanged("bank");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int bill_id {
            get {
                return this.bill_idField;
            }
            set {
                if ((this.bill_idField.Equals(value) != true)) {
                    this.bill_idField = value;
                    this.RaisePropertyChanged("bill_id");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string cashReceiveFrom {
            get {
                return this.cashReceiveFromField;
            }
            set {
                if ((object.ReferenceEquals(this.cashReceiveFromField, value) != true)) {
                    this.cashReceiveFromField = value;
                    this.RaisePropertyChanged("cashReceiveFrom");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string cheque {
            get {
                return this.chequeField;
            }
            set {
                if ((object.ReferenceEquals(this.chequeField, value) != true)) {
                    this.chequeField = value;
                    this.RaisePropertyChanged("cheque");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string details {
            get {
                return this.detailsField;
            }
            set {
                if ((object.ReferenceEquals(this.detailsField, value) != true)) {
                    this.detailsField = value;
                    this.RaisePropertyChanged("details");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public float discount {
            get {
                return this.discountField;
            }
            set {
                if ((this.discountField.Equals(value) != true)) {
                    this.discountField = value;
                    this.RaisePropertyChanged("discount");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string paymentMode {
            get {
                return this.paymentModeField;
            }
            set {
                if ((object.ReferenceEquals(this.paymentModeField, value) != true)) {
                    this.paymentModeField = value;
                    this.RaisePropertyChanged("paymentMode");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public float tax_deducted {
            get {
                return this.tax_deductedField;
            }
            set {
                if ((this.tax_deductedField.Equals(value) != true)) {
                    this.tax_deductedField = value;
                    this.RaisePropertyChanged("tax_deducted");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int user_id {
            get {
                return this.user_idField;
            }
            set {
                if ((this.user_idField.Equals(value) != true)) {
                    this.user_idField = value;
                    this.RaisePropertyChanged("user_id");
                }
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Bill", Namespace="http://schemas.datacontract.org/2004/07/BS_Services.Model")]
    [System.SerializableAttribute()]
    public partial class Bill : StoreManagement.BS_SERVICES_BsBill.CommonFields {
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NTNField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string PRAField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string access_codeField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string bill_detailsField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string bill_toField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int client_idField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string client_nameField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string client_phoneField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string consultantField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string contractorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string invoice_noField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string lab_noField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string locationField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string order_dateField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string order_noField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string projectField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int site_idField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string specimenField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int user_idField;
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string NTN {
            get {
                return this.NTNField;
            }
            set {
                if ((object.ReferenceEquals(this.NTNField, value) != true)) {
                    this.NTNField = value;
                    this.RaisePropertyChanged("NTN");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string PRA {
            get {
                return this.PRAField;
            }
            set {
                if ((object.ReferenceEquals(this.PRAField, value) != true)) {
                    this.PRAField = value;
                    this.RaisePropertyChanged("PRA");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string access_code {
            get {
                return this.access_codeField;
            }
            set {
                if ((object.ReferenceEquals(this.access_codeField, value) != true)) {
                    this.access_codeField = value;
                    this.RaisePropertyChanged("access_code");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string bill_details {
            get {
                return this.bill_detailsField;
            }
            set {
                if ((object.ReferenceEquals(this.bill_detailsField, value) != true)) {
                    this.bill_detailsField = value;
                    this.RaisePropertyChanged("bill_details");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string bill_to {
            get {
                return this.bill_toField;
            }
            set {
                if ((object.ReferenceEquals(this.bill_toField, value) != true)) {
                    this.bill_toField = value;
                    this.RaisePropertyChanged("bill_to");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int client_id {
            get {
                return this.client_idField;
            }
            set {
                if ((this.client_idField.Equals(value) != true)) {
                    this.client_idField = value;
                    this.RaisePropertyChanged("client_id");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string client_name {
            get {
                return this.client_nameField;
            }
            set {
                if ((object.ReferenceEquals(this.client_nameField, value) != true)) {
                    this.client_nameField = value;
                    this.RaisePropertyChanged("client_name");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string client_phone {
            get {
                return this.client_phoneField;
            }
            set {
                if ((object.ReferenceEquals(this.client_phoneField, value) != true)) {
                    this.client_phoneField = value;
                    this.RaisePropertyChanged("client_phone");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string consultant {
            get {
                return this.consultantField;
            }
            set {
                if ((object.ReferenceEquals(this.consultantField, value) != true)) {
                    this.consultantField = value;
                    this.RaisePropertyChanged("consultant");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string contractor {
            get {
                return this.contractorField;
            }
            set {
                if ((object.ReferenceEquals(this.contractorField, value) != true)) {
                    this.contractorField = value;
                    this.RaisePropertyChanged("contractor");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string invoice_no {
            get {
                return this.invoice_noField;
            }
            set {
                if ((object.ReferenceEquals(this.invoice_noField, value) != true)) {
                    this.invoice_noField = value;
                    this.RaisePropertyChanged("invoice_no");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string lab_no {
            get {
                return this.lab_noField;
            }
            set {
                if ((object.ReferenceEquals(this.lab_noField, value) != true)) {
                    this.lab_noField = value;
                    this.RaisePropertyChanged("lab_no");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string location {
            get {
                return this.locationField;
            }
            set {
                if ((object.ReferenceEquals(this.locationField, value) != true)) {
                    this.locationField = value;
                    this.RaisePropertyChanged("location");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string order_date {
            get {
                return this.order_dateField;
            }
            set {
                if ((object.ReferenceEquals(this.order_dateField, value) != true)) {
                    this.order_dateField = value;
                    this.RaisePropertyChanged("order_date");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string order_no {
            get {
                return this.order_noField;
            }
            set {
                if ((object.ReferenceEquals(this.order_noField, value) != true)) {
                    this.order_noField = value;
                    this.RaisePropertyChanged("order_no");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string project {
            get {
                return this.projectField;
            }
            set {
                if ((object.ReferenceEquals(this.projectField, value) != true)) {
                    this.projectField = value;
                    this.RaisePropertyChanged("project");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int site_id {
            get {
                return this.site_idField;
            }
            set {
                if ((this.site_idField.Equals(value) != true)) {
                    this.site_idField = value;
                    this.RaisePropertyChanged("site_id");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string specimen {
            get {
                return this.specimenField;
            }
            set {
                if ((object.ReferenceEquals(this.specimenField, value) != true)) {
                    this.specimenField = value;
                    this.RaisePropertyChanged("specimen");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int user_id {
            get {
                return this.user_idField;
            }
            set {
                if ((this.user_idField.Equals(value) != true)) {
                    this.user_idField = value;
                    this.RaisePropertyChanged("user_id");
                }
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="BS_SERVICES_BsBill.IbsBill")]
    public interface IbsBill {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/DoWork", ReplyAction="http://tempuri.org/IbsBill/DoWorkResponse")]
        void DoWork();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/DoWork", ReplyAction="http://tempuri.org/IbsBill/DoWorkResponse")]
        System.Threading.Tasks.Task DoWorkAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billSave", ReplyAction="http://tempuri.org/IbsBill/billSaveResponse")]
        int billSave(StoreManagement.BS_SERVICES_BsBill.Bill bill);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billSave", ReplyAction="http://tempuri.org/IbsBill/billSaveResponse")]
        System.Threading.Tasks.Task<int> billSaveAsync(StoreManagement.BS_SERVICES_BsBill.Bill bill);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billUpdate", ReplyAction="http://tempuri.org/IbsBill/billUpdateResponse")]
        int billUpdate(StoreManagement.BS_SERVICES_BsBill.Bill bill);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billUpdate", ReplyAction="http://tempuri.org/IbsBill/billUpdateResponse")]
        System.Threading.Tasks.Task<int> billUpdateAsync(StoreManagement.BS_SERVICES_BsBill.Bill bill);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billRow", ReplyAction="http://tempuri.org/IbsBill/billRowResponse")]
        StoreManagement.BS_SERVICES_BsBill.Bill billRow(int bill_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billRow", ReplyAction="http://tempuri.org/IbsBill/billRowResponse")]
        System.Threading.Tasks.Task<StoreManagement.BS_SERVICES_BsBill.Bill> billRowAsync(int bill_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billDetailsSave", ReplyAction="http://tempuri.org/IbsBill/billDetailsSaveResponse")]
        int billDetailsSave(StoreManagement.BS_SERVICES_BsBill.BillDetails billDetails);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billDetailsSave", ReplyAction="http://tempuri.org/IbsBill/billDetailsSaveResponse")]
        System.Threading.Tasks.Task<int> billDetailsSaveAsync(StoreManagement.BS_SERVICES_BsBill.BillDetails billDetails);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billDetailsUpdate", ReplyAction="http://tempuri.org/IbsBill/billDetailsUpdateResponse")]
        int billDetailsUpdate(StoreManagement.BS_SERVICES_BsBill.BillDetails billDetails);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billDetailsUpdate", ReplyAction="http://tempuri.org/IbsBill/billDetailsUpdateResponse")]
        System.Threading.Tasks.Task<int> billDetailsUpdateAsync(StoreManagement.BS_SERVICES_BsBill.BillDetails billDetails);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billDetailsDelete", ReplyAction="http://tempuri.org/IbsBill/billDetailsDeleteResponse")]
        int billDetailsDelete(int bill_details_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billDetailsDelete", ReplyAction="http://tempuri.org/IbsBill/billDetailsDeleteResponse")]
        System.Threading.Tasks.Task<int> billDetailsDeleteAsync(int bill_details_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billDetailsList_dt", ReplyAction="http://tempuri.org/IbsBill/billDetailsList_dtResponse")]
        System.Data.DataTable billDetailsList_dt(int bill_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billDetailsList_dt", ReplyAction="http://tempuri.org/IbsBill/billDetailsList_dtResponse")]
        System.Threading.Tasks.Task<System.Data.DataTable> billDetailsList_dtAsync(int bill_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billReceiptsSave", ReplyAction="http://tempuri.org/IbsBill/billReceiptsSaveResponse")]
        int billReceiptsSave(StoreManagement.BS_SERVICES_BsBill.BillReceipts billReceipts);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billReceiptsSave", ReplyAction="http://tempuri.org/IbsBill/billReceiptsSaveResponse")]
        System.Threading.Tasks.Task<int> billReceiptsSaveAsync(StoreManagement.BS_SERVICES_BsBill.BillReceipts billReceipts);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billReceiptsUpdate", ReplyAction="http://tempuri.org/IbsBill/billReceiptsUpdateResponse")]
        int billReceiptsUpdate(StoreManagement.BS_SERVICES_BsBill.BillReceipts billReceipts);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billReceiptsUpdate", ReplyAction="http://tempuri.org/IbsBill/billReceiptsUpdateResponse")]
        System.Threading.Tasks.Task<int> billReceiptsUpdateAsync(StoreManagement.BS_SERVICES_BsBill.BillReceipts billReceipts);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billReceiptsList_dt", ReplyAction="http://tempuri.org/IbsBill/billReceiptsList_dtResponse")]
        System.Data.DataTable billReceiptsList_dt(int bill_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billReceiptsList_dt", ReplyAction="http://tempuri.org/IbsBill/billReceiptsList_dtResponse")]
        System.Threading.Tasks.Task<System.Data.DataTable> billReceiptsList_dtAsync(int bill_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billReceiptsDiscount_bill_dt", ReplyAction="http://tempuri.org/IbsBill/billReceiptsDiscount_bill_dtResponse")]
        System.Data.DataTable billReceiptsDiscount_bill_dt(int bill_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billReceiptsDiscount_bill_dt", ReplyAction="http://tempuri.org/IbsBill/billReceiptsDiscount_bill_dtResponse")]
        System.Threading.Tasks.Task<System.Data.DataTable> billReceiptsDiscount_bill_dtAsync(int bill_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billIstaxable_dt", ReplyAction="http://tempuri.org/IbsBill/billIstaxable_dtResponse")]
        System.Data.DataTable billIstaxable_dt(int bill_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billIstaxable_dt", ReplyAction="http://tempuri.org/IbsBill/billIstaxable_dtResponse")]
        System.Threading.Tasks.Task<System.Data.DataTable> billIstaxable_dtAsync(int bill_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billReceiptsBalances_bill_dt", ReplyAction="http://tempuri.org/IbsBill/billReceiptsBalances_bill_dtResponse")]
        System.Data.DataTable billReceiptsBalances_bill_dt(int bill_id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IbsBill/billReceiptsBalances_bill_dt", ReplyAction="http://tempuri.org/IbsBill/billReceiptsBalances_bill_dtResponse")]
        System.Threading.Tasks.Task<System.Data.DataTable> billReceiptsBalances_bill_dtAsync(int bill_id);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IbsBillChannel : StoreManagement.BS_SERVICES_BsBill.IbsBill, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class IbsBillClient : System.ServiceModel.ClientBase<StoreManagement.BS_SERVICES_BsBill.IbsBill>, StoreManagement.BS_SERVICES_BsBill.IbsBill {
        
        public IbsBillClient() {
        }
        
        public IbsBillClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public IbsBillClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public IbsBillClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public IbsBillClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public void DoWork() {
            base.Channel.DoWork();
        }
        
        public System.Threading.Tasks.Task DoWorkAsync() {
            return base.Channel.DoWorkAsync();
        }
        
        public int billSave(StoreManagement.BS_SERVICES_BsBill.Bill bill) {
            return base.Channel.billSave(bill);
        }
        
        public System.Threading.Tasks.Task<int> billSaveAsync(StoreManagement.BS_SERVICES_BsBill.Bill bill) {
            return base.Channel.billSaveAsync(bill);
        }
        
        public int billUpdate(StoreManagement.BS_SERVICES_BsBill.Bill bill) {
            return base.Channel.billUpdate(bill);
        }
        
        public System.Threading.Tasks.Task<int> billUpdateAsync(StoreManagement.BS_SERVICES_BsBill.Bill bill) {
            return base.Channel.billUpdateAsync(bill);
        }
        
        public StoreManagement.BS_SERVICES_BsBill.Bill billRow(int bill_id) {
            return base.Channel.billRow(bill_id);
        }
        
        public System.Threading.Tasks.Task<StoreManagement.BS_SERVICES_BsBill.Bill> billRowAsync(int bill_id) {
            return base.Channel.billRowAsync(bill_id);
        }
        
        public int billDetailsSave(StoreManagement.BS_SERVICES_BsBill.BillDetails billDetails) {
            return base.Channel.billDetailsSave(billDetails);
        }
        
        public System.Threading.Tasks.Task<int> billDetailsSaveAsync(StoreManagement.BS_SERVICES_BsBill.BillDetails billDetails) {
            return base.Channel.billDetailsSaveAsync(billDetails);
        }
        
        public int billDetailsUpdate(StoreManagement.BS_SERVICES_BsBill.BillDetails billDetails) {
            return base.Channel.billDetailsUpdate(billDetails);
        }
        
        public System.Threading.Tasks.Task<int> billDetailsUpdateAsync(StoreManagement.BS_SERVICES_BsBill.BillDetails billDetails) {
            return base.Channel.billDetailsUpdateAsync(billDetails);
        }
        
        public int billDetailsDelete(int bill_details_id) {
            return base.Channel.billDetailsDelete(bill_details_id);
        }
        
        public System.Threading.Tasks.Task<int> billDetailsDeleteAsync(int bill_details_id) {
            return base.Channel.billDetailsDeleteAsync(bill_details_id);
        }
        
        public System.Data.DataTable billDetailsList_dt(int bill_id) {
            return base.Channel.billDetailsList_dt(bill_id);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataTable> billDetailsList_dtAsync(int bill_id) {
            return base.Channel.billDetailsList_dtAsync(bill_id);
        }
        
        public int billReceiptsSave(StoreManagement.BS_SERVICES_BsBill.BillReceipts billReceipts) {
            return base.Channel.billReceiptsSave(billReceipts);
        }
        
        public System.Threading.Tasks.Task<int> billReceiptsSaveAsync(StoreManagement.BS_SERVICES_BsBill.BillReceipts billReceipts) {
            return base.Channel.billReceiptsSaveAsync(billReceipts);
        }
        
        public int billReceiptsUpdate(StoreManagement.BS_SERVICES_BsBill.BillReceipts billReceipts) {
            return base.Channel.billReceiptsUpdate(billReceipts);
        }
        
        public System.Threading.Tasks.Task<int> billReceiptsUpdateAsync(StoreManagement.BS_SERVICES_BsBill.BillReceipts billReceipts) {
            return base.Channel.billReceiptsUpdateAsync(billReceipts);
        }
        
        public System.Data.DataTable billReceiptsList_dt(int bill_id) {
            return base.Channel.billReceiptsList_dt(bill_id);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataTable> billReceiptsList_dtAsync(int bill_id) {
            return base.Channel.billReceiptsList_dtAsync(bill_id);
        }
        
        public System.Data.DataTable billReceiptsDiscount_bill_dt(int bill_id) {
            return base.Channel.billReceiptsDiscount_bill_dt(bill_id);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataTable> billReceiptsDiscount_bill_dtAsync(int bill_id) {
            return base.Channel.billReceiptsDiscount_bill_dtAsync(bill_id);
        }
        
        public System.Data.DataTable billIstaxable_dt(int bill_id) {
            return base.Channel.billIstaxable_dt(bill_id);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataTable> billIstaxable_dtAsync(int bill_id) {
            return base.Channel.billIstaxable_dtAsync(bill_id);
        }
        
        public System.Data.DataTable billReceiptsBalances_bill_dt(int bill_id) {
            return base.Channel.billReceiptsBalances_bill_dt(bill_id);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataTable> billReceiptsBalances_bill_dtAsync(int bill_id) {
            return base.Channel.billReceiptsBalances_bill_dtAsync(bill_id);
        }
    }
}
